﻿@model Instantly.Models.User

@{
    ViewData["Title"] = "Profile";
}

<div class="container">
    <div class="row">
        <div class="col-md-9">
            <div class="row">
                <div class="col-md-4 text-center">
                    @if (Model.Photo == null)
                    {
                        <img src="https://svgsilh.com/svg/159236-9e9e9e.svg" width="192" height="192">
                    }
                    else
                    {
                        <img src="@Model.Photo" width="192" height="192">
                    }
                    <div class="col-md-12"><b>@Model.FIO</b></div>
                    <div class="col-md-12">@Model.Email</div>
                    <div class="col-md-12 text-left" style="padding-left: 0;">Дата народження: <b>@Model.Birthdate.ToShortDateString()</b></div>
                    <div class="col-md-12 text-left" style="padding-left: 0;">Місто: <b>@Model.City</b></div>
                    @foreach (UserTag t in Model.UserTags)
                    {
                        <div class="col-md-12 text-left" style="padding-left: 0;">@t.Tag.Name</div>
                    }
                </div>
                <div class="col-md-8">
                    @{
                        switch(ViewBag.RenderPage)
                        {
                            case "Orders": await Html.RenderPartialAsync("OrdersPartial"); break;
                            case "Reviews": await Html.RenderPartialAsync("ReviewsPartial"); break;
                            case "Settings": if(Model.Email == User.Identity.Name) await Html.RenderPartialAsync("SettingsPartial"); break;
                            default: await Html.RenderPartialAsync("OrdersPartial"); break;
                        }
                    }
                </div>
            </div>
        </div>
    </div>
</div>
